
C-----------------------------------------------------------------------------
      SUBROUTINE NPABSR 
C-----------------------------------------------------------------------------
C     DO-NOTHING ABSORPTION PERTURBATION MODEL  
      implicit double precision (a-h,o-z)
C     COMMON DECK "LL" INSERTED HERE     
      DOUBLE PRECISION MODL
      COMMON/LL/MODL(4),APH,APHPT,APHPR,APHPTH,APHPPH
      COMMON/WW/ dum(10), MAXW,W(1000)
C     COMMON DECK "CB18" INSERTED HERE
      INTEGER DVMX,DVNTBL,DVITBL,DVFRMTB,IDSDV(10)   
      COMMON/B18/DVMX,DVNTBL(10),DVITBL(10),DVFRMTB(10),DVGP(11)
      EQUIVALENCE (DVGP,IDSDV),(ANDV,DVGP(11))    
      INTEGER DYMX    ,DYNTBL(10),DYITBL(10),DYFRMTB(10)  
      DATA DYMX/1/          
      DATA DYNTBL/1,11,8*0/ 
      DATA DYITBL/1,9*0/    
      DATA DYFRMTB/1,9*0/   
C                           
      ENTRY SETPAB          
      DVMX=DYMX             
      CALL IMOVE(DVNTBL,DYNTBL,10)  
      CALL IMOVE(DVITBL,DYITBL,10)  
      CALL IMOVE(DVFRMTB,DYFRMTB,10)
      RETURN                        
C                                   
      ENTRY IPABSRP                 
      IF(W(525) .NE. 0.) THEN
           PRINT*,' Model check number mismatch: '
           STOP ' W(525) should be 0 if you are using model NPABSR.'
      ENDIF

      MODL(3)=8HNPABSR  
      MODL(4)= w(527)
      RETURN           
C                      
      ENTRY PABSRP     
      RETURN           
      END              
                                                                                
 
